Katello - Bug #7110

ISO Repo: unable to successfully sync
08/15/2014 12:23 PM - Brad Buckingham

Status: Closed
Priority: Normal
Assignee: Brad Buckingham
Category: Web Ul
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1129424 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/458
8
Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1129424
Description of problem:

Unable to successfully sync an ISO repository.
Version-Release number of selected component (if applicable):

How reproducible:
Always (for me)

Steps to Reproduce:

1. import manifest

2. enable an ISO repo (e.g. Red Hat Enterprise Linux 6 Server ISOs x86_64 6Server)
3. sync the repo (e.g. Content -> Sync Status)

Actual results:

The sync fails indicating 'Sync Incomplete'.

From dynflow, an error is shown during:

Run: Step 6: Actions::Pulp::Repository::DistributorPublish

Expected results:

The sync to complete successfully.

Additional info:

This issue was observed while testing out the fix in katello PR: https:/github.com/Katello/katello/pull/4554

The full dynflow at the failed step looks like:
Started at: 2014-08-12 12:54:55 -0400

Ended at: 2014-08-12 12:54:55 -0400

Real time: 0.03s

Execution time (excluding suspended state): 0.03s

Input:

pulp_id: Default_Organization-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_6_Server_ISOs_x86_64_6Server
dependency:

- exception:

task_type: pulp.server.tasks.repository.sync_with_auto_publish
_href: /pulp/api/v2/tasks/c05a7856-ae8d-4746-9c13-d7cce78a7b2a/
task id: c05a7856-ae8d-4746-9c13-d7cce78a7b2a
tags:
pulp:repository:Default_Organization-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_6_Server_ISOs_x86_64_6Serv
er

- pulp:action:sync

finish_time: '2014-08-12T16:54:53Z2'

_ns: task_status

start_time: '2014-08-12T16:54:52Z7'

traceback:

spawned_tasks:

- _href: /pulp/api/v2/tasks/db7d93a2-165b-4ea7-80ae-f872148513df/
task_id: db7d93a2-165b-4ea7-80ae-f872148513df
progress_report:

iso_importer:

total_bytes: 11534336000

traceback:

error_message:

finished_bytes: 11534336000

num_isos: 3

state: complete

iso_error_messages: []

num_isos_finished: 3

state_times:

not_started: '2014-08-12T14:28:06'
manifest_in_progress: '2014-08-12T14:28:06'
complete: '2014-08-12T16:54:52'
isos_in_progress: '2014-08-12T14:28:07"

queue: reserved_resource_worker-3@fortello.devel.dq
state: finished

result:

importer_type_id: iso_importer

importer_id: iso_importer

exception:

repo_id: Default_Organization-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_6_Server_ISOs_x86_64_6Server
removed_count: 0

started: '2014-08-12T10:28:06-04:00'

_ns: repo_sync_results

completed: '2014-08-12T12:54:52-04:00'
traceback:

summary:

error_message:

traceback:

finished_bytes: 11534336000

num_isos: 3

state: complete

iso_error_messages: []

state_times:

not_started: '2014-08-12T14:28:06'
manifest_in_progress: '2014-08-12T14:28:06'
complete: '2014-08-12T16:54:52'
isos_in_progress: '2014-08-12T14:28:07"
num_isos_finished: 3

total_bytes: 11534336000

added_count: 3

error_message:

updated_count: 0

details:

id: 53ea46dccf07f519d214aeb3

result: success

error:

_id:

$oid: 53ea2476c803e95c3c35e8ff
id: 53ea2476cf07f51925118282

- exception:

task_type: pulp.server.managers.repo.publish.publish
_href: /pulp/api/v2/tasks/db7d93a2-165b-4ea7-80ae-f872148513df/
task id: db7d93a2-165b-4ea7-80ae-f872148513df
tags:
pulp:repository:Default_Organization-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_6_Server_ISOs_x86_64_6Serv
er

- pulp:action:publish

finish_time: '2014-08-12T16:54:53Z2'

_ns: task_status

start_time: '2014-08-12T16:54:53Z'

traceback:

spawned_tasks: []

progress_report:
adf18495-7058-445-b482-5a91b30c810f:

state: complete

error_message:

traceback:

state_times:

not_started: '2014-08-12T16:54:53'

in_progress: '2014-08-12T16:54:53'

complete: '2014-08-12T16:54:53'

queue: reserved_resource_worker-3@fortello.devel.dq
state: finished

result:

exception:

repo_id: Default_Organization-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_6_Server_ISOs_x86_64_6Server
started: '2014-08-12T12:54:53-04:00'

_ns: repo_publish_results

completed: '2014-08-12T12:54:53-04:00'

traceback:

distributor_type_id: iso_distributor

summary:

state_times:

not_started: '2014-08-12T16:54:53'

in_progress: '2014-08-12T16:54:53'

complete: '2014-08-12T16:54:53'

state: complete

error_message:

traceback:

error_message:

details:

distributor_id: adf18495-7058-44{5-b482-5a91b30c810f
id: 53ea46ddcf07f519d214aeb6

result: success

error:

_id:

$oid: 53ea46ddc803e95¢3c35e938

id: 53ea46ddcf07f519d214aeb4

distributor_type_id: nodes_http_distributor
remote_user: admin-4faca49f

locale: en

Output:

)

Error:
NoMethodError

undefined method °[]' for nil:NilClass

- /home/bbucking/github/katello/app/lib/actions/pulp/repository/distributor_publish.rb:35:in
“distributor_id'
- /home/bbucking/github/katello/app/lib/actions/pulp/repository/distributor_publish.rb:27:in
“invoke_external_task'’

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action/polling.rb:70:in
“initiate_external_action'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action/polling.rb:12:in
‘run'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action/cancellable.rb:9:in
“run'

- /home/bbucking/github/katello/app/lib/actions/pulp/abstract_async_task.rb:57:in

“run'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action.rb:443:in

“block (3 levels) in execute_run'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/middleware/stack.rb:26:in
“call

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/middleware/stack.rb:26:in
‘pass’

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/middleware.rb:16:in
‘pass’

- /home/bbucking/github/katello/app/lib/actions/middleware/remote_action.rb:25:in

“block in run'

- /home/bbucking/github/katello/app/lib/actions/middleware/remote_action.rb:51:in

“block (2 levels) in as_remote_user'

- /home/bbucking/github/katello/app/lib/katello/util/thread_session.rb:85:in “set_pulp_config'

- /home/bbucking/github/katello/app/lib/actions/middleware/remote_action.rb:41:in

‘as_pulp_user’

- /home/bbucking/github/katello/app/lib/actions/middleware/remote_action.rb:50:in

“block in as_remote_user'

- /home/bbucking/github/katello/app/lib/katello/util/thread_session.rb:92:in “set_cp_config'

- /home/bbucking/github/katello/app/lib/actions/middleware/remote_action.rb:36:in

‘as_cp_user'

- /nome/bbucking/github/katello/app/lib/actions/middleware/remote_action.rb:49:in

‘as_remote_user'

- /home/bbucking/github/katello/app/lib/actions/middleware/remote_action.rb:25:in

“run'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/middleware/stack.rb:22:in
“call'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/middleware/stack.rb:26:in
‘pass'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/middleware.rb:16:in
‘pass'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action/progress.rb:30:in
“with_progress_calculation’

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action/progress.rb:16:in
“run'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/middleware/stack.rb:22:in
“call

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/middleware/stack.rb:26:in
‘pass'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/middleware.rb:16:in
‘pass’

- /home/bbucking/github/katello/app/lib/actions/middleware/keep_locale.rb:24:in “block

in run’

- /home/bbucking/github/katello/app/lib/actions/middleware/keep_locale.rb:35:in “with_locale'

- /home/bbucking/github/katello/app/lib/actions/middleware/keep_locale.rb:24:in “run’'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/middleware/stack.rb:22:in
“call

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/middleware/world.rb:30:in
“execute’

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action.rb:442:in

“block (2 levels) in execute_run'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action.rb:441:in

“catch'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action.rb:441:in

“block in execute_run'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action.rb:365:in

“call

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action.rb:365:in

“block in with_error_handling'
- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action.rb:365:in

“catch’

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action.rb:365:in

‘with_error_handling'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action.rb:436:in

“execute_run'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/action.rb:230:in

“execute’
/home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:9:in
“block (2 levels) in execute'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/execution_plan/steps/abstract.rb:152:in
“call

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/execution_plan/steps/abstract.rb:152:in
‘with_meta_calculation’

/home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:8:in
“block in execute’

/home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:22:i
n
‘open_action’

/home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/execution_plan/steps/abstract_flow_step.rb:7:in
“execute’

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/executors/parallel/worker.rb:20:in
“block in on_message'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/algebrick-0.4.0/lib/algebrick.rb:859:in

“block in assigns'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/algebrick-0.4.0/lib/algebrick.rb:858:in

“tap'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/algebrick-0.4.0/lib/algebrick.rb:858:in

“assigns'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/algebrick-0.4.0/lib/algebrick.rb:138:in

“match_value'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/algebrick-0.4.0/lib/algebrick.rb:116:in

“block in match'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/algebrick-0.4.0/lib/algebrick.rb:115:in

“each’

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/algebrick-0.4.0/lib/algebrick.rb:115:in

“match’

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/executors/parallel/worker.rb:17:in
‘on_message'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/micro_actor.rb:82:in
‘on_envelope'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/micro_actor.rb:72:in
‘receive'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/micro_actor.rb:99:in

“block (2 levels) in run’

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/micro_actor.rb:99:in

“loop'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/micro_actor.rb:99:in

“block in run'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/micro_actor.rb:99:in

“catch'’

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/micro_actor.rb:99:in

“run'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/dynflow-0.7.2/lib/dynflow/micro_actor.rb:13:in

“block in initialize'

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in
“call

- /home/bbucking/.rvm/gems/ruby-1.9.3-p448@fortello/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in
“block in create_with_logging_context'

Associated revisions

Revision 8259618e - 08/15/2014 01:55 PM - Brad Buckingham
fixes #7110 / BZ 1129424 - fix syncing of iso repos

Based on discussions, it seems that syncing an ISO
repo to a node/capsule is not all that useful;

therefore, this commit will disable the node meta
generation for ISO repos. In addition, it will

increase sync times and the amount of storage required
on the node/capsule.

Without this change, syncing ISO repos will fail

since the node distributor is not being associated
with repos of that type (i.e. file).

Revision 2c1e29d5 - 08/18/2014 07:15 AM - Brad Buckingham
Merge pull request #4588 from bbuckingham/issue-7110

fixes #7110 / BZ 1129424 - fix syncing of iso repos

History

#1 - 08/15/2014 12:23 PM - Brad Buckingham
- Assignee set to Brad Buckingham

- Triaged changed from No to Yes

#2 - 08/15/2014 02:17 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4588 added
- Pull request deleted ()

#3 - 08/18/2014 08:01 AM - Brad Buckingham
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|8259618ef2596ceb15e8209df271890a5303275d.

#4 - 08/22/2014 09:30 AM - Eric Helms

- translation missing: en.field_release set to 13
